classification
Title: Misc/cheatsheet needs updating
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: belopolsky, docs@python, eric.araujo, ezio.melotti, georg.brandl, lemburg, mark.dickinson, pitrou, rhettinger
Priority: normal Keywords: gsoc, patch

Created on 2009-01-03 13:16 by mark.dickinson, last changed 2018-03-26 19:36 by mark.dickinson. This issue is now closed.

Files
File name Uploaded Description Edit
issue4819.diff belopolsky, 2011-01-21 01:34 review
Messages (16)
msg78955 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2009-01-03 13:16
Misc/cheatsheet could do with an upgrade, both for the 2.x and 3.x branches.

For 3.x, I guess the changes needed are quite extensive.  I'm not sure
how much needs to be changed or added for 2.x; at a quick
glance, the 'with' statement, the 'x if b else y' construction, and the 
unified try-except-finally are missing.
msg79227 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2009-01-06 04:49
Some more for both 2. and 3.0:

- 'as' is now a keyword 
- 'with' is now a keyword 
- @ is now a valid token 
- 0o for octal and 0b for binary numbers
- sets
- str.format
- BaseException

I am sure I missed a lot, but the core language sections should be 
fairly easy to update.  The library part seems to be a major project.

It would be nice to reformat it in ReST as well.
msg115327 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-09-01 19:20
Merging nosy from duplicate report.
msg126647 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2011-01-20 21:27
Misc/cheatsheet has been removed in r88127.  Should this be closed?
msg126648 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-01-20 21:29
Well, perhaps Marc-André wants to revive it. Otherwise, suggest closing indeed.
msg126649 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2011-01-20 21:37
Updating the cheat sheet would be a great summer of code like project. We are considering using the cheat sheet as basis for a flyer in the PSF marketing material project.

Please add it back and add a note to it, that it currently is missing a few language features (e.g. add Alexanders list to it).

Thanks.
msg126651 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-01-20 21:46
> Updating the cheat sheet would be a great summer of code like project.
> We are considering using the cheat sheet as basis for a flyer in the
> PSF marketing material project.

IMO it's not only about updating. It's about converting it to some
proper markup format, and being able to generate nicely laid out
versions of it. See examples of nice non-Python cheat sheets:
http://javascript-reference.info/
http://www.gscottolson.com/weblog/2008/01/11/jquery-cheat-sheet/

By the way the Python 3 transition means that it not only misses some
features, but probably has lots of bogus constructs and examples, so
putting it back as-is would do users a disservice.
msg126659 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2011-01-20 23:00
Perhaps the cheatsheet can be transferred to a wiki page and we can put out a comp.lang.python call for updates.

Also, +1 on the summer of code idea.
msg126671 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-01-21 01:15
I agree that it would be nice to have a cheatsheet somewhere, possibly in the official doc and not as a plain txt file in Misc/.
FWIW another cheatsheet updated to 2.6 can be found here: http://rgruet.free.fr/PQR26/PQR2.6.html
msg126675 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2011-01-21 01:34
FWIW, I updated the first couple of pages.  If anyone finds my changes useful, here they are in issue4819.diff.
msg126679 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2011-01-21 02:12
Past experience has shown that a cheatsheet in the main repository gets neglected.  How about we open it up via a wiki or somesuch so that the community if free to update it?
msg126682 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-01-21 02:26
Leaving it in the wiki for a while so that the community can update and improve it might be a good idea, but ultimately I think it should go in the doc.
msg126709 - (view) Author: Marc-Andre Lemburg (lemburg) * (Python committer) Date: 2011-01-21 09:27
Raymond Hettinger wrote:
> 
> Raymond Hettinger <rhettinger@users.sourceforge.net> added the comment:
> 
> Perhaps the cheatsheet can be transferred to a wiki page and we can put out a comp.lang.python call for updates.

Good idea.

I just want to prevent the text from being lost in SVN
history somewhere... one of the things I liked about CVS was the Attic.
With Subversion deleted files are simply gone and unless someone remembers
them, they are lost.

> Also, +1 on the summer of code idea.
msg140263 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-07-13 15:01
I spent a few minutes updating the cheatsheet.  I think that the document is an outdated duplicate of random parts of the docs (syntax, man page, library reference, etc.) that’s rather hard to maintain for little benefit.  Is there any evidence that people used it?

I’d like to propose that we delete the file in 2.7 (it’s already gone from 3.2+) and that we start anew on a real cheatsheet, i.e. one or two A4 pages, in HTML and PDF and t-shirts, which are a useful summary of commonly used things.  I think one Python language cheatsheet and one standard library cheatsheet could be useful (one set for 2.7, another one for 3.2).

Regarding process, I’m not sure using a wiki or a non-reST file not included in the real docs is the way to go.  Maybe volunteers could work with the PSF team that’s producing a brochure?  (http://brochure.getpython.info/ —I discovered it recently, and don’t know at all who works on it and how)
msg140267 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-07-13 15:18
Another idea might be to have a "cheatsheet" in the official docs with links to the right section and possibly a minimal description.  It would be useful to get a quick overview of the features of the language and use the links to jump to the extended doc without having duplication.
Otherwise the examples could be moved to an external file that gets included both in the cheatsheet and in the official doc.
msg314477 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2018-03-26 19:36
Given that Misc/cheatsheet doesn't exist any more in the Python 3 repo, and Python 2 is nearing end-of-life, I suspect this should just be closed.
History
Date User Action Args
2018-03-26 19:36:01mark.dickinsonsetstatus: pending -> closed

messages: + msg314477
stage: needs patch -> resolved
2018-03-22 08:35:47serhiy.storchakasetstatus: open -> pending
versions: - Python 3.2, Python 3.3
2011-07-13 15:18:36ezio.melottisetmessages: + msg140267
2011-07-13 15:01:20eric.araujosetmessages: + msg140263
versions: - Python 3.1
2011-03-09 04:01:09terry.reedysetnosy: lemburg, georg.brandl, rhettinger, mark.dickinson, belopolsky, pitrou, ezio.melotti, eric.araujo, docs@python
versions: + Python 3.3
2011-01-21 09:27:38lemburgsetnosy: lemburg, georg.brandl, rhettinger, mark.dickinson, belopolsky, pitrou, ezio.melotti, eric.araujo, docs@python
messages: + msg126709
2011-01-21 02:26:32ezio.melottisetnosy: lemburg, georg.brandl, rhettinger, mark.dickinson, belopolsky, pitrou, ezio.melotti, eric.araujo, docs@python
messages: + msg126682
2011-01-21 02:12:34rhettingersetnosy: lemburg, georg.brandl, rhettinger, mark.dickinson, belopolsky, pitrou, ezio.melotti, eric.araujo, docs@python
messages: + msg126679
2011-01-21 01:34:22belopolskysetfiles: + issue4819.diff

messages: + msg126675
keywords: + patch
nosy: lemburg, georg.brandl, rhettinger, mark.dickinson, belopolsky, pitrou, ezio.melotti, eric.araujo, docs@python
2011-01-21 01:15:33ezio.melottisetnosy: + ezio.melotti
messages: + msg126671

keywords: + gsoc
type: enhancement
2011-01-20 23:00:37rhettingersetnosy: + rhettinger
messages: + msg126659
2011-01-20 21:46:52pitrousetnosy: lemburg, georg.brandl, mark.dickinson, belopolsky, pitrou, eric.araujo, docs@python
messages: + msg126651
2011-01-20 21:37:08lemburgsetstatus: pending -> open
nosy: lemburg, georg.brandl, mark.dickinson, belopolsky, pitrou, eric.araujo, docs@python
messages: + msg126649
2011-01-20 21:29:06pitrousetstatus: open -> pending

nosy: + lemburg
messages: + msg126648

assignee: docs@python ->
stage: needs patch
2011-01-20 21:27:47belopolskysetnosy: georg.brandl, mark.dickinson, belopolsky, pitrou, eric.araujo, docs@python
messages: + msg126647
2010-09-01 19:31:09rhettingersetnosy: - rhettinger
2010-09-01 19:20:37eric.araujosetnosy: + rhettinger, pitrou
messages: + msg115327
2010-09-01 19:19:14eric.araujolinkissue9735 superseder
2010-07-17 22:32:54eric.araujosetassignee: georg.brandl -> docs@python

nosy: + docs@python
versions: + Python 3.2
2010-02-16 06:05:31eric.araujosetnosy: + eric.araujo
2009-01-06 04:49:19belopolskysetnosy: + belopolsky
messages: + msg79227
2009-01-03 13:16:33mark.dickinsoncreate